import { Logger } from "winston";
export interface ReporterOptions {
    outputPath?: string;
    printJsonToConsole: boolean;
    printYamlToConsole: boolean;
    printHtmlToConsole: boolean;
    pdf: boolean;
    usePandoc: boolean;
    htmlTemplate?: string;
    officeTemplate?: string;
    extraFiles: any[];
}
export declare class Reporter {
    private options;
    private logger;
    constructor(options: ReporterOptions, logger: Logger);
    generateHtmlReport(inspectionData: object, outputFilename?: string, customTemplate?: string): string;
    renderHtmlReport(inspectionData: object, templatePath: string): string;
    convertHtmlToPdfInMemory(htmlContent: string): Promise<Uint8Array>;
    saveAsOfficeDoc(inspectionData: object, outputFilePath?: string, customTemplate?: string): Promise<void>;
    private htmlToOfficeWithPandoc;
    private htmlToDocxJavascript;
    saveJsonToFile(data: any, filename: string): void;
    saveYamlToFile(data: any, filename: string): void;
    loadYamlFile(filename: string): unknown;
    saveFile(filename: string, data: any): void;
}
